Mailinglist Archive: opensuse-bugs (4068 mails)

< Previous Next >
[Bug 714063] New: obs keeps trying to rebuild server:php:applications/horde4-ingo in an outdated version
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Wed, 24 Aug 2011 18:00:37 +0000
  • Message-id: <bug-714063-21960@http.bugzilla.novell.com/>

https://bugzilla.novell.com/show_bug.cgi?id=714063

https://bugzilla.novell.com/show_bug.cgi?id=714063#c0


Summary: obs keeps trying to rebuild
server:php:applications/horde4-ingo in an outdated
version
Classification: openSUSE
Product: openSUSE.org
Version: unspecified
Platform: Other
OS/Version: All
Status: NEW
Severity: Normal
Priority: P5 - None
Component: BuildService
AssignedTo: bnc-team-screening@xxxxxxxxxxxxxxxxxxxxxx
ReportedBy: lang@xxxxxxxxxxxxx
QAContact: adrian@xxxxxxxx
Found By: ---
Blocker: ---


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:5.0) Gecko/20100101
Firefox/5.0

obs tries and fails to build a mismatching set of package files and spec
without any obvious chance for me to do something about it. I asked andrianS
and he provided some workaround for some other packages where it also happened.

Still this in essence prevents me from bringing current versions of horde4-ingo
and possibly more packages into the factory process.

I'm attaching the chat log to hint at what may already have been done about it.

(10:35:58) Ralf Lang: odd: the obs seems to ignore the new specfile and tries
to build against an old version of the tarball (which isn't present of course)
https://build.opensuse.org/package/live_build_log?arch=x86_64&package=horde4-turba&project=server%3Aphp%3Aapplications&repository=openSUSE_Factory
(10:46:26) adrianS: lang-b1: it may be an old build job, but it should rebuild
then
(10:52:35) Ralf Lang: adrianS: hopefully. I'll wait a while
(10:53:33) adrianS: lang-b1: "osc r" has no * behind the state for most builds
(10:53:39) adrianS: that means the state is not dirty
(10:53:47) adrianS: so the reason must be somewhere else
(10:54:38) Ralf Lang: adrianS: it builds fine locally. and it seems like it's
trying to build the wrong version (not the one checked in)
(10:56:43) adrianS: hm, the format service seems to get an old version,
interessting ....
(11:02:35) Ralf Lang: looks like it's now running through. What can I do about
such things? this affects a few committed packages from like 2 days ago. coolo
rejected the corresponding SRs to factory because they wouldn't build (rightly
so).
(11:03:12) adrianS: lang-b1: I need to find out why the format service is
running on old spec file
(11:03:32) Ralf Lang: I'll provide you some more examples ;-)
(11:04:08) adrianS: one is enough
(11:05:19) adrianS: ah, I think, I know ...
(11:05:35) Ralf Lang: server:php:applications horde4-kronolith would be another
one
(11:06:01) adrianS: it runs on current one, but since the format changes it it
skips the generated file
(11:06:07) adrianS: unfortunatly, the old one gets not removed
(11:06:29) adrianS: seems to be a bug in michas new expand code ...
(11:19:29) adrianS: lang-b1: I think, I fixed it accidently
(11:20:17) adrianS: may be a transition problem when swithcing from old style
to new style (which we configured now on build.o.o)
(11:21:50) ***adrianS checks horde4-kronolith
(11:23:41) Ralf Lang: adrianS: I'm all ears :)
(11:31:30) adrianS: lang-b1: I still try to reproduce the problem
(11:31:52) adrianS: lang-b1: it went away, when I did some minor change in spec
file to force a re-run
(11:32:22) adrianS: lang-b1: current code seems to do just the right thing
(11:32:40) adrianS: lang-b1: it is really maybe a transition problem from old
style commits
(11:32:54) adrianS: need to read the code again ...

I'm filing this as a bug now as it looks like there's more to it but maybe
server:php:applications/horde4-ingo is the last remaining affected package.

Thank you for the help so far

Reproducible: Always

Steps to Reproduce:
1. trigger new build run for server:php:applications/horde4-ingo
2. wait and see
3.
Actual Results:
Note that the build output references v2.0.2 while 2.0.4 is checked in (and
builds locally)

Using BUILD_ROOT=/var/cache/obs/worker/root_11/.mount
Using BUILD_ARCH=i586:i486:i386
Doing kvm build in /var/cache/obs/worker/root_11/root


build34 started "build horde4-ingo.spec" at Wed Aug 24 14:21:18 UTC 2011.

Building horde4-ingo for project 'server:php:applications' repository
'openSUSE_Factory' arch 'i586' srcmd5 '533443f2588b74a1abf59512d4377b88'

processing specfile
/var/cache/obs/worker/root_11/.build-srcdir/horde4-ingo.spec ...
running changelog2spec --target rpm --file
/var/cache/obs/worker/root_11/.build-srcdir/horde4-ingo.spec
init_buildsystem --cachedir /var/cache/build --prepare --clean --rpmlist
/var/cache/obs/worker/root_11/.build.rpmlist
/var/cache/obs/worker/root_11/.build-srcdir/horde4-ingo.spec build
rpmlint-Factory ...
preinstalling aaa_base...
preinstalling acl...
preinstalling attr...
preinstalling bash...
preinstalling coreutils...
preinstalling diffutils...
preinstalling filesystem...
preinstalling fillup...
preinstalling glibc...
preinstalling grep...
preinstalling insserv...
preinstalling libacl...
preinstalling libattr...
preinstalling libbz2-1...
preinstalling libgcc46...
preinstalling libxcrypt...
preinstalling m4...
preinstalling libncurses5...
preinstalling pam...
preinstalling permissions...
preinstalling libreadline6...
preinstalling rpm...
preinstalling sed...
preinstalling tar...
preinstalling zlib...
preinstalling libselinux1...
preinstalling liblzma5...
preinstalling libcap2...
preinstalling libpcre0...
preinstalling libpopt0...
preinstalling libelf1...
preinstalling liblua5_1...
preinstalling util-linux...
preinstalling libmount1...
preinstalling perl-base...
preinstalling libdb-4_8...
preinstalling libsepol1...
preinstalling libblkid1...
preinstalling libuuid1...
copying packages...
reordering...cycle: bash -> glibc
breaking dependency bash -> glibc
cycle: bash -> libncurses5 -> glibc
breaking dependency bash -> libncurses5
cycle: bash -> libreadline6 -> glibc
breaking dependency libreadline6 -> glibc
cycle: bash -> libreadline6 -> libncurses5 -> glibc
breaking dependency libreadline6 -> libncurses5
cycle: libcrack2 -> cracklib
breaking dependency libcrack2 -> cracklib
cycle: cron -> cronie
breaking dependency cronie -> cron
cycle: cron -> cronie -> syslog-service -> logrotate
breaking dependency cronie -> syslog-service
done
booting kvm ...
linux64 /usr/bin/qemu-kvm -no-reboot -nographic -net none -cpu phenom -kernel
/boot/vmlinuz -initrd /boot/initrd -append root=/dev/vda panic=1 quiet
no-kvmclock rw elevator=noop console=ttyS0 init=/.build/build -m 1100 -drive
file=/var/cache/obs/worker/root_11/root,if=virtio -hda
/var/cache/obs/worker/root_11/root -drive
file=/var/cache/obs/worker/root_11/swap,if=virtio -smp 4
[ 0.040000] NMI watchdog disabled for cpu0: unable to create perf event: -2
[ 0.168356] NMI watchdog disabled for cpu1: unable to create perf event: -2
[ 0.268057] NMI watchdog disabled for cpu2: unable to create perf event: -2
[ 0.396311] NMI watchdog disabled for cpu3: unable to create perf event: -2
doing fast boot
FATAL: Module kqemu not found.
Creating device nodes with udev
Waiting for device /dev/vda to appear: ok
fsck from util-linux 2.19
[/sbin/fsck.ext4 (1) -- /] fsck.ext4 -a /dev/vda
/dev/vda: clean, 2401/1826816 files, 184028/7296000 blocks
fsck succeeded. Mounting root device read-write.
Mounting root /dev/vda
mount -o rw,defaults -t ext4 /dev/vda /root
Warning: failed to load Config_git.pl, something strange about this perl...
Warning: failed to load Config_git.pl, something strange about this perl...
2nd stage started in virtual machine
machine type: x86_64
switching personality to 8...
Warning: failed to load Config_git.pl, something strange about this perl...
2nd stage started in virtual machine
machine type: i686
mount: proc already mounted
mount: can't find / in /etc/fstab or /etc/mtab
swapon on /dev/vdb
swapon: /dev/vdb: found swap signature: version 1, page-size 4, same byte order
swapon: /dev/vdb: pagesize=4096, swapsize=2097152000, devsize=2097152000
mount: none already mounted or //proc busy
mount: none already mounted or //dev/pts busy
logging output to //.build.log...
processing specfile /.build-srcdir/horde4-ingo.spec ...
init_buildsystem --cachedir /var/cache/build /.build-srcdir/horde4-ingo.spec
build rpmlint-Factory ...
running aaa_base preinstall script
running aaa_base postinstall script
Updating /etc/sysconfig/language...
Updating /etc/sysconfig/backup...
Updating /etc/sysconfig/boot...
Updating /etc/sysconfig/suseconfig...
Updating /etc/sysconfig/clock...
Updating /etc/sysconfig/proxy...
Updating /etc/sysconfig/windowmanager...
Updating /etc/sysconfig/cron...
Updating /etc/sysconfig/news...
Updating /etc/sysconfig/shutdown...
Updating etc/passwd...unchanged
Updating etc/group...unchanged
Updating etc/shadow...new
initializing rpm db...
installing brp-check-suse-1.0-45.2
installing filesystem-12.1-26.1
installing terminfo-base-5.8-2.5
installing libreadline6-6.2-34.9
installing bash-4.2-34.9
installing build-compare-2011.04.19-5.3
installing glibc-2.14-4.1
error opening: /etc/sysconfig/security: No such file or directory
installing fdupes-1.40-121.4
installing fillup-1.42-258.4
installing gdbm-1.8.3-386.6
installing libattr-2.4.46-2.5
installing libaudit1-2.1.1-12.4
installing libbz2-1-1.0.6-12.1
installing libcap2-2.19-10.4
installing libdb-4_8-4.8.30-8.1
installing libelf1-0.152-4.11
installing libgmp10-5.0.1-8.7
installing libgssglue1-0.2-19.4
installing libltdl7-2.4-14.5
installing liblua5_1-5.1.4-20.7
installing liblzma5-5.0.3-3.5
installing libnscd-2.0.2-122.4
installing libpcre0-8.12-2.5
installing libpopt0-1.16-8.7
installing libselinux1-2.0.91-12.24
installing libsepol1-2.0.41-10.44
installing libustr-1_0-1-1.0.4-17.5
installing libxcrypt-3.0.4-10.1
installing net-tools-1.60-749.4
installing patch-2.6.1.116-2.7
installing perl-base-5.14.1-3.17
installing update-alternatives-1.15.8.10-7.4
installing zlib-1.2.5_git201105272030-16.5
installing insserv-1.14.0-31.1
installing libgcc46-4.6.1_20110801-2.1
installing libgomp46-4.6.1_20110801-2.1
installing libncurses5-5.8-2.5
installing libuuid1-2.19.91-5.1
installing build-mkbaselibs-2011.07.01-4.1
installing attr-2.4.46-2.5
installing file-5.08-2.1
installing libacl-2.2.51-2.4
installing libblkid1-2.19.91-5.1
installing libglib-2_0-0-2.29.14-1.2
installing libtirpc1-0.2.2-12.4
installing bzip2-1.0.6-12.1
installing libcrack2-2.8.18-13.5
installing libmpfr4-3.0.1-2.7
installing libopenssl1_0_0-1.0.0d-32.1
installing libstdc++46-4.6.1_20110801-2.1
installing libxml2-2.7.8+git20110708-2.3
installing xz-5.0.3-3.5
installing libzio-0.99-13.4
installing libsemanage1-2.0.43-14.30
installing perl-5.14.1-3.17
installing acl-2.2.51-2.4
installing cracklib-2.8.18-13.5
installing libmount1-2.19.91-5.1
installing libmpc2-0.8.2-11.6
installing less-444-2.4
installing libgmpxx4-5.0.1-8.7
installing info-4.13a-18.6
installing pam-1.1.4-8.3
installing cpio-2.11-12.4
installing diffutils-3.1-2.1
installing login-4.0-10.6
installing m4-1.4.16-2.5
installing make-3.82-144.5
installing sed-4.2.1-4.5
installing tar-1.26-3.11
installing binutils-2.21.1-11.1
installing findutils-4.4.2-15.5
installing gawk-3.1.8-2.5
update-alternatives: using /bin/gawk to provide /bin/awk (awk) in auto mode.
installing gettext-runtime-0.18.1.1-6.4
installing grep-2.9-3.1
installing gzip-1.4-6.25
installing libppl9-0.11.2-3.7
installing texinfo-4.13a-18.6
installing coreutils-8.12-8.2
error opening: /etc/sysconfig/security: No such file or directory
installing linux-glibc-devel-3.0-4.1
installing glibc-locale-2.14-4.1
installing autoconf-2.68-6.4
installing timezone-2011h-2.4
WARNING: Not updating /etc/localtime with new zone file
installing cvs-1.12.12-167.4
installing libppl_c4-0.11.2-3.7
installing sysvinit-tools-2.88+-59.2
installing permissions-2011.06.28.1452-3.4
Updating /etc/sysconfig/security...
installing cyrus-sasl-2.1.23-17.5
installing psmisc-22.14-2.4
installing sysconfig-0.75.0-6.1
Updating /etc/sysconfig/network/dhcp...
Updating /etc/sysconfig/network/config...
Removing old autogenerated device configuration files:
installing groff-1.21-1.9
installing glibc-devel-2.14-4.1
installing libcloog0-0.15.10+ppl-4.6
installing libldap-2_4-2-2.4.26-2.2
installing automake-1.11.1-9.4
installing gettext-tools-0.18.1.1-6.4
installing pam-modules-11.5-4.4
installing man-2.5.2-36.4
Updating /etc/sysconfig/cron...
installing aaa_base-12.1-104.1
Updating /etc/sysconfig/language...
Updating /etc/sysconfig/backup...
Updating /etc/sysconfig/boot...
Updating /etc/sysconfig/suseconfig...
Updating /etc/sysconfig/clock...
Updating /etc/sysconfig/proxy...
Updating /etc/sysconfig/windowmanager...
Updating /etc/sysconfig/cron...
Updating /etc/sysconfig/news...
Updating /etc/sysconfig/shutdown...
Updating etc/passwd...unchanged
Updating etc/group...unchanged
Updating etc/shadow...unchanged
installing cronie-1.4.7-28.3
installing util-linux-2.19.91-5.1
setting /usr/bin/wall to root:tty 2755. (wrong permissions 0755)
setting /usr/bin/write to root:tty 2755. (wrong permissions 0755)
installing rpm-4.9.1-26.1
Updating /etc/sysconfig/services...
installing cron-4.2-28.3
installing libbz2-devel-1.0.6-12.1
installing netcfg-11.5-8.3
warning: /etc/HOSTNAME created as /etc/HOSTNAME.rpmnew
installing libtool-2.4-14.5
installing post-build-checks-1.0-96.1
installing rpmlint-mini-1.3-4.4
installing pwdutils-3.2.17-3.3
installing cpp46-4.6.1_20110801-2.1
installing rpmlint-Factory-1.0-72.1
installing cpp-4.6-14.3
installing logrotate-3.7.9-11.1
installing udev-172-1.3
installing gcc46-4.6.1_20110801-2.1
installing gcc-4.6-14.3
installing syslog-service-1.4.1-744.1
Updating /etc/sysconfig/syslog...
Updating /etc/sysconfig/syslog...
installing postfix-2.8.4-8.1
/usr/bin/sed: can't read /etc/sysconfig/postfix: No such file or directory
Updating /etc/sysconfig/postfix...
Updating /etc/sysconfig/mail...
installing php5-5.3.6.201105291701-1.1
update-alternatives: using /usr/bin/php5 to provide /usr/bin/php (php) in auto
mode.
installing php5-tokenizer-5.3.6.201105291701-1.1
installing php5-zlib-5.3.6.201105291701-1.1
installing php5-pear-5.3.6.201105291701-1.1
update-alternatives: using /usr/bin/pear5 to provide /usr/bin/pear (pear) in
auto mode.
installing php5-pear-channel-horde-1.0-9.3
installing php5-pear-Horde_Role-1.0.0-17.3
install ok: channel://pear.horde.org/Horde_Role-1.0.0alpha2
Install scripts complete
config-set succeeded
removing nis flags from //etc/nsswitch.conf...
now finalizing build dir...
/usr/sbin/Check is obsolete, don't call it!
Starting SuSEconfig, the SuSE Configuration Tool...
Running in full featured mode.
Reading /etc/sysconfig and updating the system...
Executing /sbin/conf.d/SuSEconfig.permissions...
no permissions will be changed if not called explicitly
Checking permissions and ownerships - using the permissions files
/etc/permissions
/etc/permissions.secure
/etc/permissions.d/postfix
/etc/permissions.local
kernel has fscaps support disabled.
/usr/bin/wall should be root:tty 0755. (wrong permissions 2755)
/usr/bin/write should be root:tty 0755. (wrong permissions 2755)
Executing /sbin/conf.d/SuSEconfig.postfix...
Reading /etc/sysconfig and updating the system...
Installing new /etc/postfix/master.cf
/sbin/conf.d/SuSEconfig.postfix: line 296: ip: command not found
Setting up postfix local as MDA...
Setting SPAM protection to "off"...
Installing new /etc/postfix/main.cf
Rebuilding /etc/aliases.db.
newaliases: fatal: could not find any active network interfaces
rebuilding /etc/postfix/virtual.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/virtual.db': No such file or directory
rebuilding /etc/postfix/transport.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/transport.db': No such file or directory
rebuilding /etc/postfix/access.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/access.db': No such file or directory
rebuilding /etc/postfix/canonical.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/canonical.db': No such file or directory
rebuilding /etc/postfix/sender_canonical.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/sender_canonical.db': No such file or
directory
rebuilding /etc/postfix/relocated.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/relocated.db': No such file or directory
rebuilding /etc/postfix/sasl_passwd.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/sasl_passwd.db': No such file or directory
rebuilding /etc/postfix/relay_ccerts.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/relay_ccerts.db': No such file or directory
rebuilding /etc/postfix/helo_access.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/helo_access.db': No such file or directory
rebuilding /etc/postfix/relay.db
postmap: fatal: could not find any active network interfaces
chmod: cannot access `/etc/postfix/relay.db': No such file or directory
Finished.
Warning: spec file parser line 91: can't expand %(...)
Warning: spec file parser line 94: can't expand %(...)
Warning: spec file parser line 95: can't expand %(...)
Warning: spec file parser line 108: can't expand %(...)
Warning: spec file parser line 109: can't expand %(...)
Warning: spec file parser line 110: can't expand %(...)
Warning: spec file parser line 111: can't expand %(...)
Warning: spec file parser line 112: can't expand %(...)
Warning: spec file parser line 113: can't expand %(...)
Warning: spec file parser line 133: can't expand %(...)
-----------------------------------------------------------------
I have the following modifications for horde4-ingo.spec:
27c27
< Release: 1
---
Release: 14.1
-----------------------------------------------------------------
----- building horde4-ingo.spec (user abuild)
-----------------------------------------------------------------
-----------------------------------------------------------------
+ exec rpmbuild -ba --define '_srcdefattr (-,root,root)' --define 'disturl
obs://build.opensuse.org/server:php:applications/openSUSE_Factory/533443f2588b74a1abf59512d4377b88-horde4-ingo'
/usr/src/packages/SOURCES/horde4-ingo.spec
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.gL04a3
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd /usr/src/packages/BUILD
+ rm -rf horde4-ingo-2.0.2
+ /bin/mkdir -p horde4-ingo-2.0.2
+ cd horde4-ingo-2.0.2
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ pear -v -c pearrc -d php_dir=/usr/share/php5/PEAR -d
doc_dir=/usr/share/doc/packages/horde4-ingo -d bin_dir=/usr/bin -d
data_dir=/usr/share/php5/PEAR/data -d test_dir=/usr/share/php5/PEAR/tests -d
ext_dir=/usr/lib -d horde_dir=/usr/share/php5/PEAR/www/horde -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.cp9G4c
+ umask 022
+ cd /usr/src/packages/BUILD
+ /bin/rm -rf /usr/src/packages/BUILDROOT/horde4-ingo-2.0.2-14.1.i386
++ dirname /usr/src/packages/BUILDROOT/horde4-ingo-2.0.2-14.1.i386
+ /bin/mkdir -p /usr/src/packages/BUILDROOT
+ /bin/mkdir /usr/src/packages/BUILDROOT/horde4-ingo-2.0.2-14.1.i386
+ cd horde4-ingo-2.0.2
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.RvdTah
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd horde4-ingo-2.0.2
+ pear -c pearrc install --nodeps --packagingroot
/usr/src/packages/BUILDROOT/horde4-ingo-2.0.2-14.1.i386
/usr/src/packages/SOURCES/ingo-2.0.2.tgz
Cannot initialize '/usr/src/packages/SOURCES/ingo-2.0.2.tgz', invalid or
missing package file
Package "/usr/src/packages/SOURCES/ingo-2.0.2.tgz" is not valid
install failed
error: Bad exit status from /var/tmp/rpm-tmp.RvdTah (%install)



Expected Results:
build or fail with the current version

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >